PACKAGE_NAME = session_null
PACKAGE_VERSION = 0.5
PACKAGE_FILES_SOURCES = session_null.c session_null.h
PACKAGE_FILES_EXTRA = README LICENSE config.m4 Makefile.frag autogen.sh
PACKAGE_FILES = $(PACKAGE_FILES_SOURCES) $(PACKAGE_FILES_EXTRA)

install_targets = install-modules

# recreate makefile if this file is modified
Makefile: Makefile.frag
	cp $< $@
	./config.status --recheck

dist:
	rm -rf $(PACKAGE_NAME)-$(PACKAGE_VERSION)
	mkdir  $(PACKAGE_NAME)-$(PACKAGE_VERSION)
	cp -a $(PACKAGE_FILES) $(PACKAGE_NAME)-$(PACKAGE_VERSION)
	tar cjf $(PACKAGE_NAME)-$(PACKAGE_VERSION).tar.bz2 --exclude=CVS $(PACKAGE_NAME)-$(PACKAGE_VERSION)
	rm -rf $(PACKAGE_NAME)-$(PACKAGE_VERSION)
